%define module	virtualenv

Name:		        python-%{module}
Version:	      20.16.3
Release:	      %mkrel 1
Summary:	      Virtual Python Environment builder
Group:		      Development/Python
License:	      MIT
URL:		        https://www.virtualenv.org/
Source0:	      https://pypi.io/packages/source/v/virtualenv/%{module}-%{version}.tar.xz
BuildArch:	    noarch

%description
virtualenv is a tool to create isolated Python environments.

%package -n     python3-%{module}
Summary:        Tool to create isolated Python 3 environments
Group:          Development/Python
BuildArch:	    noarch

%description -n python3-%{module}
virtualenv is a tool to create isolated Python 3 environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/virtualenv %{buildroot}/%{_bindir}/py3-virtualenv
popd

%files -n python3-%{module}
%{_bindir}/py3-virtualenv
%{python3_sitelib}/*

%changelog
* Wed Aug 17 2022 tex - 20.16.3-1pclos2022
- new version

* Mon Apr 23 2018 marcin82 <fixxer1982 at gmail.com> 15.20.0-2pclos2018
- rebuild with python 3.6.5

* Fri Apr 20 2018 bb2 <bb2> - 15.20.0-1pclos2018
- new version
